use actix_web;

const SERVER_ADDRESS : &str = "127.0.0.1:8888";

#[actix_web::main]
async fn main() -> Result<(), actix_web::Error>
{
    println!("[서버] http://{}/", SERVER_ADDRESS);

    actix_web::HttpServer::new
    (
        ||
        {
            actix_web::App::new().route("/", actix_web::web::get().to(index))
        }
    )
    .bind(SERVER_ADDRESS)? 
    .run()
    .await?;

    return Ok(());
}

async fn index(request : actix_web::HttpRequest) -> Result<actix_web::HttpResponse, actix_web::Error>
{
    println!("요청 : {:?}", request);

    let result : &str = "안녕하세요.";

    Ok(actix_web::HttpResponse::Ok().body(result))
}